Package org.stianloader.picoresolve.internal

# Class ConfusedResolverException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.stianloader.picoresolve.internal.ConfusedResolverException

All Implemented Interfaces:
  `Serializable`

public class ConfusedResolverException extends RuntimeException
Exception that is thrown when something just doesn't add up.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConfusedResolverException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConfusedResolverException

public ConfusedResolverException(String message)